Subject: bug#27580: closed (Re: bug#27580: Elogin doesn't start properly)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Jul 2017 09:14:02 +0000

Your bug report

#27580: Elogin doesn't start properly

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
27580: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=27580
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#27580: Elogin doesn't start properly
From: [email-masked] (Ludovic Courtès)
To: William <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Jul 2017 11:13:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

(Please keep [email-masked] Cc’d.)

William <[email-masked]> skribis:

> Shouldn't our shepherd service simply execute elogind-program-wrapper?
> This may also be right because elogind handles things like the laptop
> lid being closed, which should be handled even if no one has logged in
> yet.

Good point, we should probably just start it from the Shepherd.  Done:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=94a881178af9a9a918ce6de55641daa245c92e73

Let me know if there are still problems.

For the record, I tested with this config:

diff --git a/gnu/system/examples/bare-bones.tmpl b/gnu/system/examples/bare-bones.tmpl
index f7b8823d4..293182e53 100644
--- a/gnu/system/examples/bare-bones.tmpl
+++ b/gnu/system/examples/bare-bones.tmpl
@@ -2,7 +2,7 @@
 ;; for a "bare bones" setup, with no X11 display server.
 
 (use-modules (gnu))
-(use-service-modules networking ssh)
+(use-service-modules networking ssh desktop dbus)
 (use-package-modules admin)
 
 (operating-system
@@ -38,12 +38,12 @@
                %base-user-accounts))
 
   ;; Globally-installed packages.
-  (packages (cons tcpdump %base-packages))
 
   ;; Add services to the baseline: a DHCP client and
   ;; an SSH server.
   (services (cons* (dhcp-client-service)
-                   (service openssh-service-type
-                            (openssh-configuration
-                              (port-number 2222)))
+                   (elogind-service)
+                   (service polkit-service-type)
+                   (dbus-service)
+
                    %base-services)))

Thank you!

Ludo’.

Subject: Elogin doesn't start properly
From: William <[email-masked]>
To: [email-masked]
Date: Wed, 5 Jul 2017 00:39:05 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On my GuixSD VM (Guix release 0.13) elogind doesn't start at startup,
despite (elogind-service) being used in config.scm. I am not using
Xorg or a desktop manager like Slim.

Elogind only starts when loginctl is executed as loginctl activates
elogind via DBus, meaning that it doesn't record any logins before
loginctl is run. I don't believe that this is intended; my Arch Linux
install doesn't miss any logins.

My config.scm:

--8<---------------cut here---------------start------------->8---
(services (cons* ;; Networking
                   (service wpa-supplicant-service-type)
                   (service connman-service-type (connman-configuration))
                   (service tlp-service-type)
                   (service thermald-service-type)
                   (udisks-service)
                   (polkit-service)
                   (elogind-service)
                   (dbus-service)

                   %base-services))
--8<---------------cut here---------------end--------------->8---

Output (just started up vm):

--8<---------------cut here---------------start------------->8---
gollum login: cavej
Password:
This is the GNU operating system, welcome!

gollum% loginctl
dbus[392]: [system] activating service name='org.freedesktop.login1'
(using servicehelper)
[/gnu/store/ninbsrgj12ik3zjwk0vbcbmhwfkfhj7h-logind.conf:5] Unknown
lvalue 'InhibitDelayMaxSecs' in section 'Login'
[/gnu/store/ninbsrgj12ik3zjwk0vbcbmhwfkfhj7h-logind.conf:15] Unknown
lvalue 'HolfoffTimeoutSecs' in section 'Login'
[/gnu/store/ninbsrgj12ik3zjwk0vbcbmhwfkfhj7h-logind.conf:17] Unknown
lvalue 'IdleActionSeconds' in section 'Login'
[/gnu/store/ninbsrgj12ik3zjwk0vbcbmhwfkfhj7h-logind.conf:19] Unknown
lvalue 'RemoveIpc' in section 'Login'
dbus[392]: [system] Successfully activated service 'org.freedesktop.login1'
New seat seat0.
Watching system buttons on /dev/input/event0 (Power Button)
   SESSION      UID USER            SEAT

0 sessions listed.
gollum% exit
Respawning term-tty1
Service term-tty1 has been restarted.

This is the GNU system. Welcome.
gollum login: cavej
Password:
New session c1 of user cavej.
This is the GNU operating system, welcome!

gollum% loginctl
   SESSION       UID  USER                    SEAT
         c1    30011  cavej                   seat0

1 sessions listed.
--8<---------------cut here---------------end--------------->8---